Katello - Refactor #6097

Need to migrate data model attribute from repository.feed -> repository.url

06/06/2014 03:47 PM - Partha Aji

Status: Closed

Priority: Normal

Assignee: Partha Aji

Category:

Target version: Katello 2.0

Branch: Pull request: https://github.com/Katello/katello/pull/444
Difficulty: easy Fixed in Releases:

Triaged: Yes Found in Releases:

Bugzilla link: 1120427 Red Hat JIRA:

Description

On https://github.com/Katello/katello/blob/master/app/models/katello/repository.rb#L 90

repository model has code that looks like => alias_attribute :url, :feed
And the controllers return "url" instead of "feed". This creates an inconsistency between the data model and the controllers. We need
to address this by migrating the model from feed => url and change the place in code where "feed" is used.

Associated revisions

Revision e67cfb73 - 07/28/2014 02:42 PM - Partha Aji
Fixes #6097,bz1120427 - repository.feed -> repository.url
Migrating a repository data model attribute from feed to url. The word

feed applies to the feed url used by pulp, but in katello Ul, CLI and
APl we consistently use url for feed. To mitigate this confusion it was

deemed to rename feed to url.

Revision c5c7ac0b - 08/04/2014 04:05 PM - Partha Aji

Merge pull request #4448 from parthaa/feed-to-url

Fixes #6097,bz1120427 - repository.feed -> repository.url

History

#1 - 06/06/2014 06:29 PM - Eric Helms

- Tracker changed from Feature to Refactor

- Category set to 81

- Assignee changed from Eric Helms to Partha Aji
- Target version set to 48

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 06/28/2014 03:40 AM - Eric Helms

- translation missing: en.field_release set to 13

#3 - 07/07/2014 07:46 AM - Eric Helms

- Target version changed from 48 to 49

#4 - 07/16/2014 06:19 PM - Partha Aji
- Bugzilla link set to 1120427

#5 - 07/16/2014 06:23 PM - The Foreman Bot
- Status changed from New to Ready For Testing
https://github.com/Katello/katello/blob/master/app/models/katello/repository.rb#L90

- Pull request https://github.com/Katello/katello/pull/4448 added

#6 - 07/28/2014 08:42 AM - Eric Helms

- Target version changed from 49 to 54

#7 - 08/04/2014 05:01 PM - Partha Aji
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|e67cfb73389d6485bb2ffc1a7583bb53fb51ceae.
